Package org.eclipse.emf.cdo.server.spi.security

## Class AnnotationHandler.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler.Factory
    - - org.eclipse.emf.cdo.server.spi.security.AnnotationHandler.Factory

- All Implemented Interfaces:
    `org.eclipse.net4j.util.factory.IFactory`
  Enclosing class:
    AnnotationHandler

      public static class AnnotationHandler.Factory
      extends InternalSecurityManager.CommitHandler.Factory

  Creates `AnnotationHandler` instances.
  Since:
    4.3
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler.Factory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternalSecurityManager.CommitHandler` | `create​(java.lang.String description)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### create

          public InternalSecurityManager.CommitHandler create​(java.lang.String description)
                                                       throws org.eclipse.net4j.util.factory.ProductCreationException

      Specified by:
        `create` in interface `org.eclipse.net4j.util.factory.IFactory`
      Specified by:
        `create` in class `InternalSecurityManager.CommitHandler.Factory`
      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`